zenilib: zenilib/jni/external/zenilib/zeni_graphics/d3dx9math.inl File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
d3dx9math.inl File Reference

Go to the source code of this file.

## Macros

#define | __D3DX9MATH_INL__

## Functions

D3DXINLINE D3DXCOLOR * | D3DXColorAdd (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2)
D3DXINLINE D3DXCOLOR * | D3DXColorLerp (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2, FLOAT s)
D3DXINLINE D3DXCOLOR * | D3DXColorModulate (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2)
D3DXINLINE D3DXCOLOR * | D3DXColorNegative (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC)
D3DXINLINE D3DXCOLOR * | D3DXColorScale (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC, FLOAT s)
D3DXINLINE D3DXCOLOR * | D3DXColorSubtract (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2)
D3DXINLINE D3DXMATRIX * | D3DXMatrixIdentity (D3DXMATRIX *pOut)
D3DXINLINE BOOL | D3DXMatrixIsIdentity (CONST D3DXMATRIX *pM)
D3DXINLINE FLOAT | D3DXPlaneDot (CONST D3DXPLANE *pP, CONST D3DXVECTOR4 *pV)
D3DXINLINE FLOAT | D3DXPlaneDotCoord (CONST D3DXPLANE *pP, CONST D3DXVECTOR3 *pV)
D3DXINLINE FLOAT | D3DXPlaneDotNormal (CONST D3DXPLANE *pP, CONST D3DXVECTOR3 *pV)
D3DXINLINE D3DXPLANE * | D3DXPlaneScale (D3DXPLANE *pOut, CONST D3DXPLANE *pP, FLOAT s)
D3DXINLINE D3DXQUATERNION * | D3DXQuaternionConjugate (D3DXQUATERNION *pOut, CONST D3DXQUATERNION *pQ)
D3DXINLINE FLOAT | D3DXQuaternionDot (CONST D3DXQUATERNION *pQ1, CONST D3DXQUATERNION *pQ2)
D3DXINLINE D3DXQUATERNION * | D3DXQuaternionIdentity (D3DXQUATERNION *pOut)
D3DXINLINE BOOL | D3DXQuaternionIsIdentity (CONST D3DXQUATERNION *pQ)
D3DXINLINE FLOAT | D3DXQuaternionLength (CONST D3DXQUATERNION *pQ)
D3DXINLINE FLOAT | D3DXQuaternionLengthSq (CONST D3DXQUATERNION *pQ)
D3DXINLINE D3DXVECTOR2 * | D3DXVec2Add (D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2)
D3DXINLINE FLOAT | D3DXVec2CCW (CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2)
D3DXINLINE FLOAT | D3DXVec2Dot (CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2)
D3DXINLINE FLOAT | D3DXVec2Length (CONST D3DXVECTOR2 *pV)
D3DXINLINE FLOAT | D3DXVec2LengthSq (CONST D3DXVECTOR2 *pV)
D3DXINLINE D3DXVECTOR2 * | D3DXVec2Lerp (D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2, FLOAT s)
D3DXINLINE D3DXVECTOR2 * | D3DXVec2Maximize (D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2)
D3DXINLINE D3DXVECTOR2 * | D3DXVec2Minimize (D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2)
D3DXINLINE D3DXVECTOR2 * | D3DXVec2Scale (D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV, FLOAT s)
D3DXINLINE D3DXVECTOR2 * | D3DXVec2Subtract (D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Add (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Cross (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2)
D3DXINLINE FLOAT | D3DXVec3Dot (CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2)
D3DXINLINE FLOAT | D3DXVec3Length (CONST D3DXVECTOR3 *pV)
D3DXINLINE FLOAT | D3DXVec3LengthSq (CONST D3DXVECTOR3 *pV)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Lerp (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2, FLOAT s)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Maximize (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Minimize (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Scale (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV, FLOAT s)
D3DXINLINE D3DXVECTOR3 * | D3DXVec3Subtract (D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2)
D3DXINLINE D3DXVECTOR4 * | D3DXVec4Add (D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2)
D3DXINLINE FLOAT | D3DXVec4Dot (CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2)
D3DXINLINE FLOAT | D3DXVec4Length (CONST D3DXVECTOR4 *pV)
D3DXINLINE FLOAT | D3DXVec4LengthSq (CONST D3DXVECTOR4 *pV)
D3DXINLINE D3DXVECTOR4 * | D3DXVec4Lerp (D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2, FLOAT s)
D3DXINLINE D3DXVECTOR4 * | D3DXVec4Maximize (D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2)
D3DXINLINE D3DXVECTOR4 * | D3DXVec4Minimize (D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2)
D3DXINLINE D3DXVECTOR4 * | D3DXVec4Scale (D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV, FLOAT s)
D3DXINLINE D3DXVECTOR4 * | D3DXVec4Subtract (D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2)

## Macro Definition Documentation

#define __D3DX9MATH_INL__

Definition at line 11 of file d3dx9math.inl.

## Function Documentation

D3DXINLINE D3DXCOLOR* D3DXColorAdd | ( | D3DXCOLOR * | pOut,
|  | CONST D3DXCOLOR * | pC1,
|  | CONST D3DXCOLOR * | pC2
| ) |  |

Definition at line 2175 of file d3dx9math.inl.

References D3DXCOLOR::a, D3DXCOLOR::b, D3DXCOLOR::g, NULL, and D3DXCOLOR::r.

D3DXINLINE D3DXCOLOR* D3DXColorLerp | ( | D3DXCOLOR * | pOut,
|  | CONST D3DXCOLOR * | pC1,
|  | CONST D3DXCOLOR * | pC2,
|  | FLOAT | s
| ) |  |

Definition at line 2235 of file d3dx9math.inl.

References D3DXCOLOR::a, D3DXCOLOR::b, D3DXCOLOR::g, NULL, and D3DXCOLOR::r.

D3DXINLINE D3DXCOLOR* D3DXColorModulate | ( | D3DXCOLOR * | pOut,
|  | CONST D3DXCOLOR * | pC1,
|  | CONST D3DXCOLOR * | pC2
| ) |  |

Definition at line 2220 of file d3dx9math.inl.

References D3DXCOLOR::a, D3DXCOLOR::b, D3DXCOLOR::g, NULL, and D3DXCOLOR::r.

D3DXINLINE D3DXCOLOR* D3DXColorNegative | ( | D3DXCOLOR * | pOut,
|  | CONST D3DXCOLOR * | pC
| ) |  |

Definition at line 2160 of file d3dx9math.inl.

References D3DXCOLOR::a, D3DXCOLOR::b, D3DXCOLOR::g, NULL, and D3DXCOLOR::r.

D3DXINLINE D3DXCOLOR* D3DXColorScale | ( | D3DXCOLOR * | pOut,
|  | CONST D3DXCOLOR * | pC,
|  | FLOAT | s
| ) |  |

Definition at line 2205 of file d3dx9math.inl.

References D3DXCOLOR::a, D3DXCOLOR::b, D3DXCOLOR::g, NULL, and D3DXCOLOR::r.

D3DXINLINE D3DXCOLOR* D3DXColorSubtract | ( | D3DXCOLOR * | pOut,
|  | CONST D3DXCOLOR * | pC1,
|  | CONST D3DXCOLOR * | pC2
| ) |  |

Definition at line 2190 of file d3dx9math.inl.

References D3DXCOLOR::a, D3DXCOLOR::b, D3DXCOLOR::g, NULL, and D3DXCOLOR::r.

D3DXINLINE D3DXMATRIX* D3DXMatrixIdentity | ( | D3DXMATRIX * | pOut | ) |

Definition at line 1987 of file d3dx9math.inl.

References _D3DMATRIX::m, and NULL.

D3DXINLINE BOOL D3DXMatrixIsIdentity | ( | CONST D3DXMATRIX * | pM | ) |

Definition at line 2005 of file d3dx9math.inl.

References FALSE.

D3DXINLINE FLOAT D3DXPlaneDot | ( | CONST D3DXPLANE * | pP,
|  | CONST D3DXVECTOR4 * | pV
| ) |  |

Definition at line 2107 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXPlaneDotCoord | ( | CONST D3DXPLANE * | pP,
|  | CONST D3DXVECTOR3 * | pV
| ) |  |

Definition at line 2118 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXPlaneDotNormal | ( | CONST D3DXPLANE * | pP,
|  | CONST D3DXVECTOR3 * | pV
| ) |  |

Definition at line 2129 of file d3dx9math.inl.

D3DXINLINE D3DXPLANE* D3DXPlaneScale | ( | D3DXPLANE * | pOut,
|  | CONST D3DXPLANE * | pP,
|  | FLOAT | s
| ) |  |

Definition at line 2140 of file d3dx9math.inl.

References D3DXPLANE::a, D3DXPLANE::b, D3DXPLANE::c, D3DXPLANE::d, and NULL.

D3DXINLINE D3DXQUATERNION* D3DXQuaternionConjugate | ( | D3DXQUATERNION * | pOut,
|  | CONST D3DXQUATERNION * | pQ
| ) |  |

Definition at line 2087 of file d3dx9math.inl.

References NULL, D3DXQUATERNION::w, D3DXQUATERNION::x, D3DXQUATERNION::y, and D3DXQUATERNION::z.

D3DXINLINE FLOAT D3DXQuaternionDot | ( | CONST D3DXQUATERNION * | pQ1,
|  | CONST D3DXQUATERNION * | pQ2
| ) |  |

Definition at line 2050 of file d3dx9math.inl.

D3DXINLINE D3DXQUATERNION* D3DXQuaternionIdentity | ( | D3DXQUATERNION * | pOut | ) |

Definition at line 2062 of file d3dx9math.inl.

References NULL, D3DXQUATERNION::w, D3DXQUATERNION::x, D3DXQUATERNION::y, and D3DXQUATERNION::z.

D3DXINLINE BOOL D3DXQuaternionIsIdentity | ( | CONST D3DXQUATERNION * | pQ | ) |

Definition at line 2075 of file d3dx9math.inl.

References FALSE.

D3DXINLINE FLOAT D3DXQuaternionLength | ( | CONST D3DXQUATERNION * | pQ | ) |

Definition at line 2024 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXQuaternionLengthSq | ( | CONST D3DXQUATERNION * | pQ | ) |

Definition at line 2039 of file d3dx9math.inl.

D3DXINLINE D3DXVECTOR2* D3DXVec2Add | ( | D3DXVECTOR2 * | pOut,
|  | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2
| ) |  |

Definition at line 1625 of file d3dx9math.inl.

References NULL, D3DXVECTOR2::x, and D3DXVECTOR2::y.

D3DXINLINE FLOAT D3DXVec2CCW | ( | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2
| ) |  |

Definition at line 1614 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec2Dot | ( | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2
| ) |  |

Definition at line 1603 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec2Length | ( | CONST D3DXVECTOR2 * | pV | ) |

Definition at line 1577 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec2LengthSq | ( | CONST D3DXVECTOR2 * | pV | ) |

Definition at line 1592 of file d3dx9math.inl.

D3DXINLINE D3DXVECTOR2* D3DXVec2Lerp | ( | D3DXVECTOR2 * | pOut,
|  | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2,
|  | FLOAT | s
| ) |  |

Definition at line 1690 of file d3dx9math.inl.

References NULL, D3DXVECTOR2::x, and D3DXVECTOR2::y.

D3DXINLINE D3DXVECTOR2* D3DXVec2Maximize | ( | D3DXVECTOR2 * | pOut,
|  | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2
| ) |  |

Definition at line 1664 of file d3dx9math.inl.

References NULL, D3DXVECTOR2::x, and D3DXVECTOR2::y.

D3DXINLINE D3DXVECTOR2* D3DXVec2Minimize | ( | D3DXVECTOR2 * | pOut,
|  | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2
| ) |  |

Definition at line 1651 of file d3dx9math.inl.

References NULL, D3DXVECTOR2::x, and D3DXVECTOR2::y.

D3DXINLINE D3DXVECTOR2* D3DXVec2Scale | ( | D3DXVECTOR2 * | pOut,
|  | CONST D3DXVECTOR2 * | pV,
|  | FLOAT | s
| ) |  |

Definition at line 1677 of file d3dx9math.inl.

References NULL, D3DXVECTOR2::x, and D3DXVECTOR2::y.

D3DXINLINE D3DXVECTOR2* D3DXVec2Subtract | ( | D3DXVECTOR2 * | pOut,
|  | CONST D3DXVECTOR2 * | pV1,
|  | CONST D3DXVECTOR2 * | pV2
| ) |  |

Definition at line 1638 of file d3dx9math.inl.

References NULL, D3DXVECTOR2::x, and D3DXVECTOR2::y.

D3DXINLINE D3DXVECTOR3* D3DXVec3Add | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2
| ) |  |

Definition at line 1764 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE D3DXVECTOR3* D3DXVec3Cross | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2
| ) |  |

Definition at line 1746 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE FLOAT D3DXVec3Dot | ( | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2
| ) |  |

Definition at line 1735 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec3Length | ( | CONST D3DXVECTOR3 * | pV | ) |

Definition at line 1709 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec3LengthSq | ( | CONST D3DXVECTOR3 * | pV | ) |

Definition at line 1724 of file d3dx9math.inl.

D3DXINLINE D3DXVECTOR3* D3DXVec3Lerp | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2,
|  | FLOAT | s
| ) |  |

Definition at line 1834 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE D3DXVECTOR3* D3DXVec3Maximize | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2
| ) |  |

Definition at line 1806 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE D3DXVECTOR3* D3DXVec3Minimize | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2
| ) |  |

Definition at line 1792 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE D3DXVECTOR3* D3DXVec3Scale | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV,
|  | FLOAT | s
| ) |  |

Definition at line 1820 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE D3DXVECTOR3* D3DXVec3Subtract | ( | D3DXVECTOR3 * | pOut,
|  | CONST D3DXVECTOR3 * | pV1,
|  | CONST D3DXVECTOR3 * | pV2
| ) |  |

Definition at line 1778 of file d3dx9math.inl.

References NULL, _D3DVECTOR::x, _D3DVECTOR::y, and _D3DVECTOR::z.

D3DXINLINE D3DXVECTOR4* D3DXVec4Add | ( | D3DXVECTOR4 * | pOut,
|  | CONST D3DXVECTOR4 * | pV1,
|  | CONST D3DXVECTOR4 * | pV2
| ) |  |

Definition at line 1891 of file d3dx9math.inl.

References NULL, D3DXVECTOR4::w, D3DXVECTOR4::x, D3DXVECTOR4::y, and D3DXVECTOR4::z.

D3DXINLINE FLOAT D3DXVec4Dot | ( | CONST D3DXVECTOR4 * | pV1,
|  | CONST D3DXVECTOR4 * | pV2
| ) |  |

Definition at line 1880 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec4Length | ( | CONST D3DXVECTOR4 * | pV | ) |

Definition at line 1854 of file d3dx9math.inl.

D3DXINLINE FLOAT D3DXVec4LengthSq | ( | CONST D3DXVECTOR4 * | pV | ) |

Definition at line 1869 of file d3dx9math.inl.

D3DXINLINE D3DXVECTOR4* D3DXVec4Lerp | ( | D3DXVECTOR4 * | pOut,
|  | CONST D3DXVECTOR4 * | pV1,
|  | CONST D3DXVECTOR4 * | pV2,
|  | FLOAT | s
| ) |  |

Definition at line 1966 of file d3dx9math.inl.

References NULL, D3DXVECTOR4::w, D3DXVECTOR4::x, D3DXVECTOR4::y, and D3DXVECTOR4::z.

D3DXINLINE D3DXVECTOR4* D3DXVec4Maximize | ( | D3DXVECTOR4 * | pOut,
|  | CONST D3DXVECTOR4 * | pV1,
|  | CONST D3DXVECTOR4 * | pV2
| ) |  |

Definition at line 1936 of file d3dx9math.inl.

References NULL, D3DXVECTOR4::w, D3DXVECTOR4::x, D3DXVECTOR4::y, and D3DXVECTOR4::z.

D3DXINLINE D3DXVECTOR4* D3DXVec4Minimize | ( | D3DXVECTOR4 * | pOut,
|  | CONST D3DXVECTOR4 * | pV1,
|  | CONST D3DXVECTOR4 * | pV2
| ) |  |

Definition at line 1921 of file d3dx9math.inl.

References NULL, D3DXVECTOR4::w, D3DXVECTOR4::x, D3DXVECTOR4::y, and D3DXVECTOR4::z.

D3DXINLINE D3DXVECTOR4* D3DXVec4Scale | ( | D3DXVECTOR4 * | pOut,
|  | CONST D3DXVECTOR4 * | pV,
|  | FLOAT | s
| ) |  |

Definition at line 1951 of file d3dx9math.inl.

References NULL, D3DXVECTOR4::w, D3DXVECTOR4::x, D3DXVECTOR4::y, and D3DXVECTOR4::z.

D3DXINLINE D3DXVECTOR4* D3DXVec4Subtract | ( | D3DXVECTOR4 * | pOut,
|  | CONST D3DXVECTOR4 * | pV1,
|  | CONST D3DXVECTOR4 * | pV2
| ) |  |

Definition at line 1906 of file d3dx9math.inl.

References NULL, D3DXVECTOR4::w, D3DXVECTOR4::x, D3DXVECTOR4::y, and D3DXVECTOR4::z.